List integrations for an audit
Retrieves integration population data for an audit.
This endpoint provides access to integration records visible to auditors during an audit engagement. Integrations represent connected services (e.g., GitHub, AWS, Slack) that provide data for the audit.
Supports filtering by:
search: Searches integration names (case-insensitive)tagsMatchesAny: Filters by integration tag (ACCESS, COMPUTERS, etc.)categoriesMatchesAny: Filters by category (CLOUD_PROVIDER, HR_PROVIDER, etc.)
Uses cursor-based pagination. To paginate:
- Make initial request with desired
pageSize - Check
results.pageInfo.hasNextPage - Use
results.pageInfo.endCursoraspageCursorfor next request
Results are sorted by integration display name (ascending). This sort order is fixed and cannot be customized via query parameters.
Supports audits with one or more program segments. Audits with system segments are not supported by this endpoint.
Only Controlled Audit View (CAV) audits are supported. Full Audit View audits are rejected with 403. Returns 403 if the customer has not made this population page visible to auditors.
Rate limit: 10 requests / minute.
Authorizations
Query Parameters
Pagination cursor from previous response A marker or pointer, telling the API where to start fetching items for the subsequent page in a paginated dataset. Note that the requested page will not include the item that corresponds to this cursor but will start from the one immediately after this cursor.
Filter integrations by tag values
ACCESS, COMPUTERS, CUSTOM_RESOURCE, DATA_LOSS_PREVENTION, DOCUMENTS, DOCUMENT_UPLOAD, FRAMEWORK, GROUPS, INVENTORY, NOTIFICATIONS, PEOPLE, POLICIES, SECURITY_AWARENESS_TRAINING, SECURITY_SCANNER_ALERTS, SSO, TASK_CREATION, TASK_TRACKING, TRUST_CENTER, VENDOR_DISCOVERY, VENDOR_PROCUREMENT, VULNERABILITIES Filter integrations by category values
ATS_MERGE_ACCOUNT, BACKGROUND_CHECK_SERVICE, CLOUD_PROVIDER, COMMUNICATION_PLATFORM, CRM_MERGE_ACCOUNT, CRM_PLATFORM, DATASTORE_PROVIDER, DATA_LOSS_PREVENTION, DATA_WAREHOUSE_PROVIDER, DOCUMENT_MANAGEMENT_TOOL, ENDPOINT_SECURITY_TOOL, HR_PROVIDER, IDENTITY_PROVIDER, INCIDENT_MANAGEMENT_TOOL, MOBILE_DEVICE_MANAGEMENT_TOOL, MONITORING_SERVICE, OTHER_INTEGRATION, SECURITY_AWARENESS_TRAINING_PROVIDER, SECURITY_SCANNER_ALERTS, TASK_TRACKER, VERSION_CONTROL_SYSTEM, VULNERABILITY_SCANNER